using System.ComponentModel.DataAnnotations;

namespace PowerEasy.WebFuture.DataMigrations.Foundation.Model
{
    /// <summary>
    /// 列表页状态筛选类型
    /// </summary>
    public enum StatusBarType
    {
        /// <summary>
        /// 全部。
        /// </summary>
        [Display(Name = "全部")]
        All = 0,

        /// <summary>
        /// 待审核。
        /// </summary>
        [Display(Name = "待审核")]
        PendingAudit = 1,

        /// <summary>
        /// 待回复。
        /// </summary>
        [Display(Name = "待办理")]
        PendingProcess = 2,

        /// <summary>
        /// 未公开。
        /// </summary>
        [Display(Name = "未公开")]
        Publicizing = 3,

        /// <summary>
        /// 已公开。
        /// </summary>
        [Display(Name = "已公开")]
        Publicized = 4,

        /// <summary>
        /// 逾期。
        /// </summary>
        [Display(Name = "已逾期")]
        Overdue = 5
    }
}
